﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using Conaito.Video;

public partial class _Default : System.Web.UI.Page 
{
    string curTempPath;
    string curOutPath;

    protected void Page_Load(object sender, EventArgs e)
    {
        curTempPath = MapPath("tmp");
        curOutPath = MapPath("out");
    }
    protected void btnRunMacro_Click(object sender, EventArgs e)
    {
        Video2Convert video2Convert = new Video2Convert();
        VideoServer ms = new VideoServer();

        try
        {
            string fileName = FileUpload1.FileName;

            if (fileName.Trim().Length == 0)
            {
                Response.Write("Please select Video file!");
                return;
            }
            string format = dFormat.SelectedValue;

            string inputFileExt = Path.GetExtension(fileName);
            string inputFile = curTempPath + "\\" + fileName;
            string outputFile = curOutPath + "\\" + Path.GetFileNameWithoutExtension(fileName) + "." + format;

            if (!Directory.Exists(curTempPath))
                Directory.CreateDirectory(curTempPath);

            if (!Directory.Exists(curOutPath))
                Directory.CreateDirectory(curOutPath);

            FileUpload1.SaveAs(inputFile);

            if (tbLicenseKey.Text != string.Empty)
                ms.SetLicense(tbLicenseKey.Text);

            video2Convert.srcFile = inputFile;
            video2Convert.dstFile = outputFile;

            if (format == "mp4")
            {
                video2Convert.dstFormat = "mp4";
                video2Convert.audioCodec = "aac";
                video2Convert.audioChannels = 2;
                video2Convert.audioBitrate = -1;
                video2Convert.audioRate = -1;
                video2Convert.videoCodec = "h264";
            }
            else if (format == "flv")
            {
                video2Convert.dstFormat = "flv";
                video2Convert.audioCodec = "mp3";
                video2Convert.audioChannels = 2;
                video2Convert.audioBitrate = 64;
                video2Convert.audioRate = 22050;
                video2Convert.videoCodec = "flv";
            }
            else if (format == "swf")
            {
                video2Convert.dstFormat = "swf";
                video2Convert.audioCodec = "mp3";
                video2Convert.audioChannels = 2;
                video2Convert.audioBitrate = 64;
                video2Convert.audioRate = 22050;
                video2Convert.videoCodec = "flv";
            }

            video2Convert.videoBitrate = -1;
            video2Convert.videoFrameRate = -1;
            video2Convert.videoFrameWidth = int.Parse(tbWidth.Text); ;
            video2Convert.videoFrameHeight = int.Parse(tbHeigth.Text);

            bool ret = ms.ConvertVideo(video2Convert);

            if (ret)
            {
                Response.Write("Converted succesfully to directory: " + curOutPath + "<br>");
                Response.Write(ms.GetLicenseInfo() + "<br>");
            }
            else
            {
                Response.Write("Converting ERROR" + "<br>");
                Response.Write(ms.GetLicenseInfo() + "<br>");
            }
        }
        catch (Exception ex)
        {
            Response.Write("Converting ERROR: " + ex.Message + "<br>");
            Response.Write(ms.GetLicenseInfo() + "<br>");
        }
    }
}
