﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Conaito.Video;
using System.Reflection;

namespace MediaSharpTest
{
    public partial class FormDemo : Form
    {
        string inputFile;
        string outputFile;

        public FormDemo()
        {
            InitializeComponent();
            comboBox1.SelectedItem = "mp4";
        }

        private void btnInput_Click(object sender, EventArgs e)
        {
            OpenFileDialog oDialog = new OpenFileDialog();
            //oDialog.Filter = "Video files (*.wmv)|*.wmv";

            if (oDialog.ShowDialog(this) == DialogResult.OK)
            {
                inputFile = oDialog.FileName;
                tbInputFile.Text = oDialog.FileName;
                outputFile = Path.Combine(Path.GetDirectoryName(inputFile), Path.GetFileNameWithoutExtension(inputFile) + "." + comboBox1.SelectedItem);
                tbOutputFile.Text = outputFile;
            }
        }

        private void btnConvert_Click(object sender, EventArgs e)
        {
            Video2Convert video2Convert = new Video2Convert();
            VideoServer ms = new VideoServer();

            if (tbLicName.Text != string.Empty)
                ms.SetLicense(tbLicName.Text);
         
            video2Convert.srcFile = tbInputFile.Text;
            video2Convert.dstFile = tbOutputFile.Text;

            if (comboBox1.SelectedItem == "mp4")
            {
                video2Convert.dstFormat = "mp4";
                video2Convert.audioCodec = "aac";
                video2Convert.audioChannels = 2;
                video2Convert.audioBitrate = -1;
                video2Convert.audioRate = -1;
                video2Convert.videoCodec = "h264";
            }
            else if (comboBox1.SelectedItem == "flv")
            {
                video2Convert.dstFormat = "flv";
                video2Convert.audioCodec = "mp3";
                video2Convert.audioChannels = 2;
                video2Convert.audioBitrate = 64;
                video2Convert.audioRate = 22050;
                video2Convert.videoCodec = "flv";
            }
            else if (comboBox1.SelectedItem == "swf")
            {
                video2Convert.dstFormat = "swf";
                video2Convert.audioCodec = "mp3";
                video2Convert.audioChannels = 2;
                video2Convert.audioBitrate = 64;
                video2Convert.audioRate = 22050;
                video2Convert.videoCodec = "flv";
            }
            video2Convert.videoBitrate = -1;
            video2Convert.videoFrameRate = -1;
            video2Convert.videoFrameWidth = int.Parse(tbWidth.Text);
            video2Convert.videoFrameHeight = int.Parse(tbHeigth.Text);
            
           

            btnConvert.Enabled = false;
            btnConvert.Text = "Converting...";
            btnConvert.Update();
            bool ret = ms.ConvertVideo(video2Convert);

           btnConvert.Enabled = true;
           btnConvert.Text = "Convert";
           btnConvert.Update();

           lblResult.Text = ret ? "Successfully" : "Fail";
           lblLicInfo.Text = "License info: " + ms.GetLicenseInfo();
           lblLicInfo.Update();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (!string.IsNullOrEmpty(inputFile))
            {
            outputFile = Path.Combine(Path.GetDirectoryName(inputFile), Path.GetFileNameWithoutExtension(inputFile) + "." + comboBox1.SelectedItem);
            }
            tbOutputFile.Text = outputFile;
        }

    }
}
